
.ui-selectmenu-button {
    display: block;
    position: relative;
    text-overflow: ellipsis;
    width: 100% !important;
    max-height: 40px;
}

.ui-selectmenu-button .ui-selectmenu-text {
    background-color: #ffffff;
    border: 1px solid #cbd3e3;
    border-radius: 5px;
    display: block;
    font-size: 14px;
    line-height: 22px;
    overflow: hidden;
    padding: 8px 40px 8px 10px;
    white-space: nowrap;
    width: 100%;
    font-weight: 500;
    text-transform: none;
    color: #2b2b2b;
}

.noBorderInput > .ui-selectmenu-button .ui-selectmenu-text{
    border: none;
    background-color: transparent;
    padding-left: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ui-selectmenu-button[aria-disabled="true"] .ui-selectmenu-text{
    color: #9B9B9B;
}

.errorField .ui-selectmenu-text{
    border: 1px solid #9e0004;
}

.ui-selectmenu-button::after {
    background: url("../images/main/i/select.png") no-repeat 0 0;
    position: absolute;
    right: 10px;
    top: 50%;
    margin-top: -3px;
    width: 10px;
    height: 8px;
    content: "";
    background-size: 10px auto;
}

.ui-selectmenu-menu {
    display: none;
    left: 0;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    z-index: 3;
}

.ui-selectmenu-open {
    display: block;
}

.ui-selectmenu-menu .ui-menu {
    background-color: #ffffff;
    border: 1px solid #eaeaea;
    margin-top: -5px;
    max-height: 250px;
    overflow-x: hidden;
    overflow-y: auto;
    padding-bottom: 0;
    white-space: normal;
    border-top: none;
    padding-top: 10px;
    border-radius: 0 0 5px 5px;
}

.ui-menu .ui-menu-item, .ui-menu .menu-item{
    margin: 0;
    min-height: 0;
    position: relative;
    font-size: 14px;
    text-transform: none;
    color: #2b2b2b;
    list-style: outside none none;
    font-weight: 500;
}

.ui-menu .ui-menu-item:hover, .ui-menu .menu-item:hover {
    color: #5d5d5d;
}

.ui-menu-item-wrapper, .menu-item-wrapper{
    cursor: pointer;
    margin: 0;
    min-height: 0;
    padding: 11px 15px 9px 11px;
    position: relative;
}


.ui-menu-item-wrapper.ui-state-active{
    color: #5d5d5d;
}


/*** autocomplete ***/


.ui-autocomplete {
    position: absolute;
    z-index: 3;
    border: 1px solid #d3d3d3;
    border-top: none;
    border-radius: 0 0 5px 5px;
    background-color: #ffffff;
    border-image: none;
    margin-top: -5px;
    max-height: 250px;
    overflow-x: hidden;
    overflow-y: auto;
    padding-bottom: 0;
    padding-top: 10px;
    white-space: nowrap;
}

.selectWrap{
    position: relative;
}

.noBorderInput.selectWrap .ui-selectmenu-menu{
    left: -7px!important;
}



